<?php
#####################################
#  Coded in Pirate Technologies(C)  #
#  ///////////////////////////////  #
# ICQ: 854141                       #
# http://phpme.ru                   #
# http://angelcorpse.free-lance.ru  #
#####################################
require '../system/start.php';
require '../system/functions.php';
only_level(3);
$str['mesto'] = 'Форум';
$str['block'] = $set['site'].' / Панель управления / Форум';
include '../style/'.$style.'/head.php';
switch($act)
{
	default:
	echo '<div class="on"><a href="?act=forums">Управление форумами</a></div>
    <div class="on2"><a href="?act=forum">Управление подфорумами</a></div>
    <div class="where"><a href="index.php">Админ-панель</a></div>';
	break;
    case 'forums':
    echo '<div class="mess"><a href="?act=add_sel">Добавить форум</a></div>';
    $query = mysql_query("select * from `forum_sel`");
    if(mysql_num_rows($query) == 0)
    {
        echo '<div class="forum1">Форумы еще не созданы!</div>';
    }
    else
    {
        while ($row = mysql_fetch_assoc($query))
        {
   	        $i++;
	       if($i%2)
	       {
		  echo '<div class="forum1">';
	       }
            else
	       {
		      echo '<div class="forum2">';
	       }
            echo ''.$row['title'].'<br /><a href="?act=edit_sel&amp;id='.$row['id'].'">[ред]</a> <a href="?act=delete_sel&amp;id='.$row['id'].'">[удл]</a></div>';
        }
    }
    echo '<div class="where"><a href="index.php">Админ-панель</a></div>';
    break;
	case 'add_sel':
	if(isset($_POST['title']) && !empty($_POST['title']))
	{
		mysql_query ("INSERT INTO `forum_sel` (title) VALUES ('".protect($_POST['title'])."')");
		echo '<div class="where">Форум успешно создан!</div>';
	}
	echo '<div class="on"><form method="post" action="?act=add_sel">
	<div>
	Название:<br />
	<input type="text" name="title" maxlength="32" value="" /><br />
	<input type="submit" value="Добавить" />
	</div></form></div><div class="where"><a href="index.php">Админ-панель</a></div>';
	break;
	case 'edit_sel':
	$query = mysql_fetch_assoc(mysql_query("select * from `forum_sel` where `id` = ".int($_GET['id']).""));
	if(empty($query['title']))
	{
		echo '<div class="on">Форум не найден!</div>';
		include '../style/'.$style.'/foot.php';
		exit;
	}
	if(isset($_POST['title']) && !empty($_POST['title']))
	{
		$title = protect($_POST['title']);
		mysql_query ("UPDATE `forum_sel` SET `title` = '".$title."' WHERE `id` = ".$query['id']."");
		echo '<div class="on">Форум успешно обновлен!</div>
		<div class="where"><a href="index.php">Админ-панель</a></div>';
		include '../style/'.$style.'/foot.php';
		exit;
	}
	echo '<div class="on"><form method="post" action="?act=edit_sel&amp;id='.$query['id'].'">
	<div>
	Название:<br />
	<input type="text" name="title" maxlength="32" value="'.$query['title'].'" /><br />
	<input type="submit" value="Обновить" />
	</div></form></div><div class="where"><a href="index.php">Админ-панель</a></div>';
	break;
	case 'delete_sel':
	$query = mysql_fetch_assoc(mysql_query("select * from `forum_sel` where `id` = ".int($_GET['id']).""));
	if(empty($query['title']))
	{
		echo '<div class="on">Форум не найден!</div>';
		include '../style/'.$style.'/foot.php';
		exit;
	}
	mysql_query ("DELETE FROM `forum_sel` WHERE `id` = ".$query['id']."");
	echo '<div class="on">Форум успешно удален!</div>
	<div class="where"><a href="index.php">Админ-панель</a></div>';
	break;
    case 'forum':
    echo '<div class="mess"><a href="?act=add_forum">Добавить подфорум</a></div>';
    $query = mysql_query("select * from `forum_forums` order by `id` limit ".$page.",".$set['str']."");
    $total = mysql_num_rows(mysql_query("select * from `forum_forums`"));
    if(mysql_num_rows($query) == 0)
    {
        echo '<div class="forum1">Подфорумы еще не созданы!</div>';
    }
    else
    {
        while ($row = mysql_fetch_assoc($query))
        {
   	        $i++;
	       if($i%2)
	       {
		      echo '<div class="forum1">';
	       }
        else
	       {
		      echo '<div class="forum2">';
	       }
            echo ''.$row['title'].'<br /><a href="?act=edit_forum&amp;id='.$row['id'].'">[ред]</a> <a href="?act=delete_forum&amp;id='.$row['id'].'">[удл]</a></div>';
	   }
       if($total > $set['str'])
        {
	       pages($page, $total, 'forum.php?act=forum&amp;', $set['str']);
        }
    }
    echo '<div class="where"><a href="index.php">Админ-панель</a></div>';
    break;
    case 'add_forum':
    $query = mysql_query("select * from `forum_sel` order by `id`");
    if(mysql_num_rows($query) == 0)
    {
       echo '<div class="forum1">Форумы еще не созданы!</div>';
    }
    else
    {
	   if(isset($_POST['title']) && !empty($_POST['title']))
	   {
		  mysql_query ("INSERT INTO `forum_forums` (id_sel,title) VALUES (".int($_POST['id_sel']).",'".protect($_POST['title'])."')");
		  echo '<div class="where">Подфорум успешно создан!</div>';
	   }
	   echo '<div class="on"><form method="post" action="?act=add_forum">
	   <div>
	   Название:<br />
	   <input type="text" name="title" maxlength="32" value="" /><br />
       Форум:<br />
       <select size="1" name="id_sel">';
       while($row = mysql_fetch_assoc($query))
       {
            echo '<option value="'.$row['id'].'">'.$row['title'].'</option>';
       }
        echo '</select><br/>
	   <input type="submit" value="Добавить" />
	   </div></form></div><div class="where"><a href="index.php">Админ-панель</a></div>';
    }
    break;
    case 'edit_forum':
    $q = mysql_query("select * from `forum_sel` order by `id`");
	$query = mysql_fetch_assoc(mysql_query("select * from `forum_forums` where `id` = ".int($_GET['id']).""));
	if(empty($query['title']))
	{
		echo '<div class="on">Подфорум не найден!</div>';
		include '../style/'.$style.'/foot.php';
		exit;
	}
	if(isset($_POST['title']) && !empty($_POST['title']))
	{
		$title = protect($_POST['title']);
		mysql_query ("UPDATE `forum_forums` SET `title` = '".$title."' WHERE `id` = ".$query['id']."");
        mysql_query ("UPDATE `forum_forums` SET `id_sel` = '".int($_POST['id_sel'])."' WHERE `id` = ".$query['id']."");
		echo '<div class="on">Подфорум успешно обновлен!</div>
		<div class="where"><a href="index.php">Админ-панель</a></div>';
		include '../style/'.$style.'/foot.php';
		exit;
	}
	echo '<div class="on"><form method="post" action="?act=edit_forum&amp;id='.$query['id'].'">
	<div>
	Название:<br />
	   <input type="text" name="title" maxlength="32" value="'.$query['title'].'" /><br />
       Форум:<br />
       <select size="1" name="id_sel">';
       while($row = mysql_fetch_assoc($q))
       {
            echo '<option value="'.$row['id'].'">'.$row['title'].'</option>';
       }
        echo '</select><br/>
        <input type="submit" value="Обновить" />
	</div></form></div><div class="where"><a href="index.php">Админ-панель</a></div>';
	break;
    case 'delete_forum':
	$query = mysql_fetch_assoc(mysql_query("select * from `forum_forums` where `id` = ".int($_GET['id']).""));
	if(empty($query['title']))
	{
		echo '<div class="on">Подфорум не найден!</div>';
		include '../style/'.$style.'/foot.php';
		exit;
	}
	mysql_query ("DELETE FROM `forum_forums` WHERE `id` = ".$query['id']."");
	echo '<div class="on">Подфорум успешно удален!</div>
	<div class="where"><a href="index.php">Админ-панель</a></div>';
	break;
}
include '../style/'.$style.'/foot.php';
?>